<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OptionValue extends Model
{
    public $timestamps = false;

    protected $fillable = [
        'value',
        'option_key_id'
    ];

    public function optionKey () {

        return $this->belongsTo('App\Models\OptionKey', 'option_key_id')->withDefault();
    }
}
